#titleBar {
    background: #000;
    color: #fff;
    font-size: 15px;
    font-weight: bold;
    margin: 1px 0;
    padding: 6px;
    text-align: left;
}

#navigation {
    background: #000;
    color: #fff;
    display: block;
    font-weight: normal;
    list-style: outside none none;
    margin: 0;
    padding: 0;
}

#navigation::after {
    clear: both;
    content: ".";
    display: block;
    height: 0;
    line-height: 0;
    visibility: hidden;
}

#navigation li {
    display: block;
    float: left;
}

#navigation li.right {
    float: right;
}

#navigation li a {
    color: #fff;
    display: block;
    outline: medium none currentColor;
    padding: 8px 10px;
    text-align: center;
    text-decoration: none;
    text-shadow: 0 1px 0 #000;
}

#navigation li a:hover {
    background: #af544f;
    background: #7d3c38;
}

#navigation li.active {
    background: linear-gradient(transparent 0%, transparent 90%, #af544f 91%);
}

#filterBar {
    background: #fff linear-gradient(#fff, #f3f3f3) repeat scroll 0 0;
    border-bottom: 1px solid #ccc;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    font-size: 0.8em;
    padding: 8px;
}

#filterBar > h3 {
    display: inline-block;
    margin: 0 0.25em;
}

#filterBar .filterContainer {
    background: #efefef;
    border: 1px solid #cdcdcd;
    display: inline-block;
    margin-right: 4px;
    padding: 4px 8px;
}

#filterBar .filterContainer strong {
    margin-right: 0.5em;
}

#flashMessage {
    border-radius: 2px;
    display: block;
    font-size: 0.95em;
    margin: 12px;
    padding: 8px 12px;
    text-align: center;
    text-shadow: 0 1px 1px #fff;
}

#flashMessage::before {
    font-family: FontAwesome;
    font-size: 0.9em;
    font-weight: normal;
    margin-right: 0.5em;
}

#flashMessage.info {
    /*background: linear-gradient(#e2e9f4, #bccce5);*/
    background: #e2e9f4;
    border: 1px solid #a1b8db;
    color: #3c5576;
}

#flashMessage.info::before {
    content: "\f05a";
}

#flashMessage.success {
    /*background: linear-gradient(#e7f4e2, #c8e5bc);*/
    background: #e7f4e2;
    border: 1px solid #b2dba1;
    color: #3c763d;
}

#flashMessage.success::before {
    content: "\f00c";
}

#flashMessage.warning {
    /*background: linear-gradient(#fbfbe2, #e8e6b7);*/
    background: #fbfbe2;
    border: 1px solid #dbdaa1;
    color: #76743c;
}

#flashMessage.warning::before {
    content: "\f071";
}

#flashMessage.error {
    /*background: #f2dede linear-gradient(#f2dede, #d9b2b2);*/
    background: #f2dede;
    border: 1px solid #dba1a1;
    color: #763c3c;
    color: #a94442;
}

#flashMessage.error::before {
    content: "\f00d";
}

#content {
    padding: 12px 24px;
}

#loadingDialogOverlay {
    align-items: center;
    background: rgba(0, 0, 0, 0.35) none repeat scroll 0 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 1001;
}

#loadingDialogOverlay .loadingDialog {
    background: rgba(0, 0, 0, 0.85);
    color: #fff;
    font-size: 1.25em;
    letter-spacing: 0.05em;
    padding: 24px 36px;
    text-shadow: 0 1px 0 #000;
    text-transform: uppercase;
}

/* a:link, a:visited {
    color: #0398ca;
} */

a:hover, a:active {
    color: #af544f;
}

/** TODO: This will be redone **/
form dl {
    width: 640px;
}

form dl dt {
    font-weight: bold;
    margin: 0.95em 0 0.2em;
}

form dl dd {
    margin: 0;
}

form dl dd input[type="text"], form dl dd textarea, form dl dd select {
    box-sizing: border-box;
    width: 100%;
}
/** Done **/

form ul.errors {
    color: #ff0000;
    margin: 8px 0 0;
    max-width: 440px;
    padding-left: 1.5em;
}

.hidden {
    display: none;
}

input[type="text"], textarea, select {
    box-sizing: border-box;
}

button, input[type="button"], input[type="submit"] {
    background: #cfd1cf linear-gradient(#f5f5f5, #cfd1cf) repeat scroll 0 0;
    border: 1px solid #999;
    border-radius: 2px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.35) inset;
    color: #474747;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    padding: 6px 8px;
    text-decoration: none;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.75);
    /*text-transform: uppercase;*/
}

button:hover:enabled, input[type="button"]:hover:enabled, input[type="submit"]:hover:enabled, button.selected {
    background: #7d3c38 linear-gradient(#af544f, #7d3c38) repeat scroll 0 0;
    border: 1px solid #632623;
    color: #fff;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.75);
}

button:disabled, input[type="button"]:disabled, input[type="submit"]:disabled {
    background: #f0f0f0;
    border: 1px solid #afafaf;
    color: #aaa;
    cursor: default;
    text-shadow: none;
}

.pageButtons {
    display: block;
    margin: 0 auto;
    padding: 6px 0;
    text-align: center;
}

table.form {
    border-collapse: collapse;
    border: 1px solid #ccc;
    margin: 12px auto;
}

.form tr td {
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;
}

.form tr:first-of-type td, .form tr:last-of-type td {
    border-bottom: 0;
    border-top: 0;
}

.form td {
    padding: 8px 16px;
}

.form .field {
    background: #efefef;
    border-right: 1px solid #ccc;
    font-weight: bold;
    line-height: 24px;
    text-align: right;
    vertical-align: top;
}

.form .input {
    min-width: 436px;
    padding: 8px;
}

.form .input input[type="text"], .form .input textarea, .form .input select {
    width: 100%;
}

.form .input input[type="text"], .form .input select {
    height: 26px;
}

.form .input .readonly {
    border: 0;
    padding: 0;
}

.form .input label {
    display: block;
    font-size: 0.8em;
    max-width: 550px;
}

.form .input label input[type="checkbox"] {
    margin-right: 0.75em;
}

.form .input ul.files {
    margin: 0;
    padding-left: 1.0em;
}

.form .actions {
    padding: 8px 8px 8px 0;
    vertical-align: top;
}

.form .actions button {
    align-self: center;
    font-size: 14px;
    height: 26px;
    padding: 0;
    position: relative;
    width: 26px;
}

.form .fileUpload {
    display: flex;
    height: 26px;
    position: relative;
}

.form .fileUpload input {
    display: table-cell;
}

.form .fileUpload input[type="textbox"] {
    flex-grow: 100;
}

.form .fileUpload input[type="file"] {
    display: none;
}

.form .fileUpload input[type="button"] {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: inherit;
    border-top-left-radius: 0;
    border-top-right-radius: inherit;
    box-shadow: none;
    font-size: 0.75em;
}

.form .checkboxDescription {
    display: inline-block;
    font-size: 0.8em;
    padding-left: 0.75em;
    margin: 0;
    max-width: 550px;
    vertical-align: top;
    white-space: normal;
}

.resultsContainer {
    border: 1px solid rgba(0, 0, 0, 0.5);
    margin: 12px auto;
}

table.results {
    background: #fff;
    border: 1px solid #666;
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-collapse: collapse;
    border-spacing: 0;
    font-size: 14px;
    margin: 12px auto;
    width: 100%;
}

.resultsContainer table.results {
    border-width: 1px 0;
    margin: 0;
}

.scrollPanel {
    overflow: auto;
}

/*.resultsContainer .paginator:first-of-type {
    border-color: #666;
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-style: solid;
    border-width: 1px 1px 0;
}

.resultsContainer .paginator:last-of-type {
    border-color: #666;
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-style: solid;
    border-width: 0px 1px 1px;
}*/

table.results tbody tr:nth-child(2n) {
    background: #efefef none repeat scroll 0 0;
    border-color: #ccc;
    border-style: solid;
    border-width: 1px 0;
}

table.results tbody tr:last-of-type {
    border-bottom: 0;
}

.results th:first-of-type, .results th:last-of-type {
    border-left: 0 none;
    border-right: 0 none;
}

.results th, .results td {
    text-align: left;
}

.results th {
    border: 1px solid rgba(0, 0, 0, 0.5);
    padding: 0;
    white-space: nowrap;
}

.results th a, .results th {
    /*background: linear-gradient(#af544f, #7d3c38);*/
    background: linear-gradient(#af544f, #7d302c);
    background: linear-gradient(to bottom, #0398ca, #007aa3);

    background: linear-gradient(#f5f5f5, #cfd1cf) repeat scroll 0 0;
    color: #333;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.75);
}

.results th a:hover, .results th a.selected {
    background: linear-gradient(#565656, #333333);
    background: #7d3c38 linear-gradient(#af544f, #7d3c38) repeat scroll 0 0;
    /*background: #333 linear-gradient(#565656, #333) repeat scroll 0 0;*/

    color: #fff;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.75);
}

.results th a {
    display: block;
    padding: 12px;
    text-decoration: none;
}

.results td {
    border-right: 1px solid rgba(0, 0, 0, 0.05);
    height: 31px;   /* For rows without action buttons */
    padding: 8px 12px;
}

.results td:last-of-type {
    border-right: 0;
}

.results .sort:after {
    content: "\f0dc";
    font-family: 'Font Awesome 5 Pro';
    font-size: 0.9em;
    font-weight: normal;
    margin-left: 0.5em;
}

.results .sort.asc:after {
    content: "\f0de";
    font-family: 'Font Awesome 5 Pro';
    font-size: 0.9em;
    font-weight: normal;
    margin-left: 0.5em;
}

.results .sort.desc:after {
    content: "\f0dd";
    font-family: 'Font Awesome 5 Pro';
    font-size: 0.9em;
    font-weight: normal;
    margin-left: 0.5em;
}

table .left {
    text-align: left;
}

table .right {
    text-align: right;
}

table .center {
    text-align: center;
}

table .justify {
    text-align: justify;
}

table .actions {
    padding: 8px;
    white-space: nowrap;
    width: 10px;
}

/*
 * ============================================================================
 * = Pagination Controls
 * ============================================================================
 */
.pagination-display {
    align-items: center;
    display: flex;
    justify-content: center;
    margin: 4px 0;
    text-align: center;
}

.pagination-control {
    display: block;
    margin: 4px auto;
    text-align: center;
}

.pagination-control > span {
    cursor: default;
}

.pagination-control > a, .pagination-control > span {
    background: linear-gradient(#fefefe, #eaeaea);
    border-color: #cacaca #bdbdbd #b0b0b0 #bdbdbd;
    border-style: solid;
    border-width: 1px;
    border-radius: 2px;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.15);
    color: #727272;
    display: inline-block;
    font-family: sans-serif;
    font-weight: bold;
    font-size: 12px;
    padding: 6px 10px;
    text-align: center;
    text-decoration: none;
}

.pagination-control > a:before, .pagination-control > span:before, .pagination-control > a:after, .pagination-control > span:after {
    font-family: FontAwesome;
    font-size: 0.9em;
    font-weight: normal;
}

.pagination-control > a:before, .pagination-control > span:before {
    margin: 0 0.5em 0 0;
}

.pagination-control > a:after, .pagination-control > span:after {
    margin: 0 0 0 0.5em;
}

.pagination-control > .first:before {
    content: "\f049";
}

.pagination-control > .previous:before {
    content: "\f048";
}

.pagination-control > .next:after {
    content: "\f051";
}

.pagination-control > .last:after {
    content: "\f050";
}

.pagination-control > .selected, .pagination-control > a:hover {
    background: linear-gradient(#616161, #5f5f5f);
    color: #fff;
    text-shadow: 0 1px 0 #565656;
    border-color: #565656;
}

.pagination-control > .disabled {
    opacity: 0.5;
}

.results-per-page {
    display: inline-block;
    position: relative;
}

.results-per-page-icon {
    background: linear-gradient(#fff, #efefef);
    border: 1px solid #777;
    border-radius: 2px;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    font-size: 0.8em;
    height: 20px;
    line-height: 20px;
    margin-left: 0.5em;
    width: 20px;
}

.results-per-page-menu {
    background: #fff;
    border: 1px solid #ccc;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.75);
    display: none;
    margin: 0 0 0 0.5em;
    padding: 2px 0;
    position: absolute;
    text-align: left;
    min-width: 100px;
}

.results-per-page-menu a {
    text-decoration: none;
}

.results-per-page-label {
    display: block;
    padding: 2px 0.5em;
}

.results-per-page-option {
    border-color: transparent;
    border-style: solid;
    border-width: 1px 0;
    display: block;
    line-height: 1.0em;
    padding: 2px 1.0em 2px 1.5em;
    white-space: nowrap;
}

.results-per-page-option.selected:before {
    content: "✓";
    font-weight: bold;
    left: 0.5em;
    position: absolute;
}

.results-per-page-option:hover {
    background: #eaeaea;
    border-color: #ccc;
}

.results-per-page-separator {
    background: #ccc;
    display: block;
    height: 1px;
    margin: 2px 0;
    padding: 0;
    width: 100%;
}


/*
 * ============================================================================
 * = jQuery-UI Overrides
 * ============================================================================
 */
.ui-widget {
    font-family: inherit;
    font-size: inherit;
}

.ui-widget-overlay {
    background: #000000;
    opacity: 0.5;
    z-index: 1005;
}

.ui-widget-content {
    background: #ffffff;
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: inherit;
}

.ui-dialog {
    border-color: #b2b2b2 #b2b2b2 #999999;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
    font-family: inherit;
    font-size: inherit;
    padding: 0;
    z-index: 1006;
}

.ui-dialog-titlebar {
    background: linear-gradient(#f5f5f5, #cfd1cf);
    border: 0 none;
    border-bottom: 1px solid #999999;
    border-radius: 0;
    box-shadow: 0 1px 0 #ffffff inset;
    color: #474747;
    font-size: 14px;
    font-weight: bold;
    padding: 6px 10px;
    text-shadow: 0 1px 0 #ffffff;
}

.ui-dialog-titlebar .ui-button:hover .ui-icon {
}

.ui-dialog-titlebar .ui-dialog-titlebar-close {
    background: transparent;
    border: 0 none;
}

.ui-dialog-titlebar .ui-dialog-titlebar-close:hover {
    background: transparent;
    background-image: url("images/ui-icons_222222_256x240.png");
    border: 0 none;
}

.ui-dialog-title {
    margin: 0;
    text-align: left;
}

/*.ui-dialog .ui-dialog-content {
    font-size: 14px;
    padding: 10px;
}*/

.ui-dialog .ui-dialog-buttonpane {
    background: linear-gradient(#ebebeb, #cfd1cf);
    box-shadow: 0 1px 0 #fff inset;
    border: 0 none;
    border-top: 1px solid #bfbfbf;
    margin: 0;
    padding: 2px;
    text-decoration: none;
    vertical-align: baseline;
    white-space: nowrap;
}

.ui-dialog .ui-dialog-buttonpane button {
    background: #cfd1cf linear-gradient(#f5f5f5, #cfd1cf) repeat scroll 0 0;
    border: 1px solid #999;
    border-radius: 2px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.35) inset;
    color: #474747;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    padding: 6px 8px;
    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.75);
    vertical-align: middle;
}

.ui-dialog .ui-dialog-buttonpane button:hover {
    background: #7d3c38 linear-gradient(#af544f, #7d3c38) repeat scroll 0 0;
    border: 1px solid #632623;
    color: #fff;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.75);
}

.ui-button-text-only .ui-button-text {
    line-height: 20px;
    padding: 0 12px;
}

.ui-accordion-content a {
}

.ui-accordion-content a:hover {
}

/* Override the jquery-ui css setting for '.ui-widget button' */
.ui-widget button {
    font-size: .8em;
}

/* CSS for error dialog header */
.ui-dialog-error  {
    border-color: #c9302c;
    box-shadow: 0 0 5px rgba(190, 0, 0, 0.75);
}

.ui-dialog-error .ui-dialog-titlebar {
    border-color: #aa0000;
    color: #830000;
}

/* CSS for an empty dialog for things like file upload status */
.ui-dialog-empty {
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}

.ui-dialog-empty .ui-dialog-titlebar {
    display: none;
}

.ui-dialog-empty .ui-dialog-content {
    min-height: 20px !important;
    padding: 0;
}

.ui-buttonset .ui-state-active {
    background: linear-gradient(#0396fc, #0276c9);
    border-color: #0267b0 #0267b0 #025896;
    color: #fff;
    text-shadow: 0 1px 0 #025896;
}

.ui-dialog-titlebar .ui-dialog-titlebar-buttonpane a {
    background: transparent;
    border: 0 none;
}

/* overrides padding on select */
select.form-select {
    padding-top: 0;
    padding-bottom: 0;
}
/* adds bottom margin to add button on list pages */
.pageButton{
    margin-bottom: 12px;
}

/* fixes nav bar toggel button size issue */
button.navbar-toggler{
    padding:2px;
    font: 12px sans-serf;
}
button.btn-close{
    height:32px;
    width:32px;
}
.alert-dismissible .btn-close{
    padding:0;
}
.alert{
    margin-top: 1rem;
}
div.alert ul{
    margin-bottom:0;
}
/*for validation errors*/
/* li{
    color:#cc0000;
} */

ul.resumable-list {
    max-height: 300px;
    overflow-y: scroll;
}